#include <raylib.h>
#include "assets.h"
#include <stddef.h>

#ifndef WORLD_H
#define WORLD_H

struct World {
  Image map;
  Texture map_texture;
  Color *map_data;
  size_t size;
  Model floor;
  Model wall;
  struct Decoration {} decoration[256];
};

void gen_terrain(struct World *world);
void draw_world(struct World *world);
#endif

